Set Assistant Latest
curl --request POST \
--url https://api.example.com/assistants/{assistant_id}/latest \
--header 'Content-Type: application/json' \
--data '{
"version": 123
}'import requests
url = "https://api.example.com/assistants/{assistant_id}/latest"
payload = { "version": 123 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({version: 123})
};
fetch('https://api.example.com/assistants/{assistant_id}/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/assistants/{assistant_id}/latest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/assistants/{assistant_id}/latest"
payload := strings.NewReader("{\n \"version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/assistants/{assistant_id}/latest")
.header("Content-Type", "application/json")
.body("{\n \"version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/assistants/{assistant_id}/latest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 123\n}"
response = http.request(request)
puts response.read_body{
"assistant_id": "<string>",
"name": "<string>",
"graph_id": "<string>",
"user_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"config": {},
"context": {},
"metadata_dict": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Assistants
Set Assistant Latest
Pin a specific version as the latest version of an assistant.
After calling this endpoint, the assistant will use the specified version’s configuration when executing runs.
POST
/
assistants
/
{assistant_id}
/
latest
Set Assistant Latest
curl --request POST \
--url https://api.example.com/assistants/{assistant_id}/latest \
--header 'Content-Type: application/json' \
--data '{
"version": 123
}'import requests
url = "https://api.example.com/assistants/{assistant_id}/latest"
payload = { "version": 123 }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({version: 123})
};
fetch('https://api.example.com/assistants/{assistant_id}/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/assistants/{assistant_id}/latest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/assistants/{assistant_id}/latest"
payload := strings.NewReader("{\n \"version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/assistants/{assistant_id}/latest")
.header("Content-Type", "application/json")
.body("{\n \"version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/assistants/{assistant_id}/latest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"version\": 123\n}"
response = http.request(request)
puts response.read_body{
"assistant_id": "<string>",
"name": "<string>",
"graph_id": "<string>",
"user_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"config": {},
"context": {},
"metadata_dict": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Body
application/json
The version number to set as latest
Response
Successful Response
Assistant entity model
Unique identifier for the assistant.
Human-readable name of the assistant.
Identifier of the graph this assistant executes.
Identifier of the user who owns this assistant.
The version of the assistant.
Timestamp when the assistant was created.
Timestamp when the assistant was last updated.
Optional description of the assistant's purpose.
Configuration passed to the graph at runtime.
Context variables available to the graph during execution.
Arbitrary metadata for searching and filtering.